Name: rocket-depot
Version: 1.0.0
Release: 2%{?dist}
BuildArch: noarch

License:   GPLv3
Summary:   GTK+ 3 rdesktop/xfreerdp front-end
URL:       https://github.com/robled/rocket-depot
Source0:   https://github.com/robled/rocket-depot/archive/%{version}.tar.gz

BuildRequires: desktop-file-utils
BuildRequires: python2-devel

Requires: freerdp
Requires: hicolor-icon-theme
Requires: pygobject3
Requires: rdesktop
Requires: xterm


%description
Rocket Depot is a simple graphical front-end for rdesktop and FreeRDP with
support for connection profiles. It runs on Linux desktops using GTK and takes
advantage of modern desktop environment features such as Unity Quicklists.


%prep
%autosetup -n rocket-depot-%{version}


%build
%py2_build


%install
%py2_install


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/rocket-depot.desktop


%files
%license LICENSE.md
%doc README.txt
%{python2_sitelib}/rocket_depot-%{version}-py2.7.egg-info
%{_bindir}/rocket-depot
%{_datadir}/applications/rocket-depot.desktop
%{_datadir}/icons/hicolor/*/apps/rocket-depot.png
%{_datadir}/icons/hicolor/scalable/apps/rocket-depot.svg


%changelog
* Sat May 14 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-2
- Use desktop-file-validate (#1332303).

* Mon Mar 21 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-1
- Initial release
